org.eclipse.jgit.merge

## Class MergeChunk

- java.lang.Object
- - org.eclipse.jgit.merge.MergeChunk

    public class MergeChunk
    extends Object

One chunk from a merge result. Each chunk contains a range from a single sequence. In case of conflicts multiple chunks are reported for one conflict. The conflictState tells when conflicts start and end.

### Nested Class Summary

Nested Classes
`static class` `MergeChunk.ConflictState` A state telling whether a MergeChunk belongs to a conflict or not.

### Constructor Summary

Constructors
`protected` `MergeChunk(int sequenceIndex, int begin, int end, MergeChunk.ConflictState conflictState)` Creates a new empty MergeChunk

### Method Summary

Methods
`int` `getBegin()`
`MergeChunk.ConflictState` `getConflictState()`
`int` `getEnd()`
`int` `getSequenceIndex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeChunk

    protected MergeChunk(int sequenceIndex,
              int begin,
              int end,
              MergeChunk.ConflictState conflictState)

Creates a new empty MergeChunk

Parameters:
  `sequenceIndex` - determines to which sequence this chunks belongs to. Same as in `MergeResult.add(int, int, int, org.eclipse.jgit.merge.MergeChunk.ConflictState)`
  `begin` - the first element from the specified sequence which should be included in the merge result. Indexes start with 0.
  `end` - specifies the end of the range to be added. The element this index points to is the first element which not added to the merge result. All elements between begin (including begin) and this element are added.
  `conflictState` - the state of this chunk. See `MergeChunk.ConflictState`

### Method Detail

#### getSequenceIndex

    public int getSequenceIndex()

Returns:
  the index of the sequence to which sequence this chunks belongs to. Same as in `MergeResult.add(int, int, int, org.eclipse.jgit.merge.MergeChunk.ConflictState)`

#### getBegin

    public int getBegin()

Returns:
  the first element from the specified sequence which should be included in the merge result. Indexes start with 0.

#### getEnd

    public int getEnd()

Returns:
  the end of the range of this chunk. The element this index points to is the first element which not added to the merge result. All elements between begin (including begin) and this element are added.

#### getConflictState

    public MergeChunk.ConflictState getConflictState()

Returns:
  the state of this chunk. See `MergeChunk.ConflictState`